/************************************************************************
*
* Device     : RX/RX200/RX210
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 1.00  (2010-12-17)  [Hardware Manual Revision : 0.10]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2010 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
extern void HardwareSetup(void);


/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Setting not available pin, Clock, and MTU
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable(); /* process for not available pin */
    R_PG_Clock_Set();                   /* setting Clock */ 
    
    /* setting complementary PWM mode for MTU3,4 */
    R_PG_Timer_Set_MTU_U0_C3_C4();
    
    /* enable output for all pin */
    R_PG_Timer_ControlOutputPin_MTU_U0_C3_C4(
        1, /* for p1 */
        1, /* for n1 */
        1, /* for p2 */
        1, /* for n2 */
        1, /* for p3 */
        1  /* for n3 */
    );
    
}
